<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" id="WebApp_ID" version="3.0">
  <display-name>power-admin</display-name>

  <welcome-file-list>
    <welcome-file>/loginDir/login174.jsp</welcome-file>
  </welcome-file-list>

  <!-- 字符编码过滤器  -->
  <filter>
    <filter-name>characterEncodingFilter</filter-name>
    <filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
    <init-param>
      <param-name>encoding</param-name>
      <param-value>UTF-8</param-value>
    </init-param>
    <init-param>
      <param-name>forceRequestEncoding</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>forceResponseEncoding</param-name>
      <param-value>true</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>characterEncodingFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
 <!--  <filter>
   <filter-name>MyFilter</filter-name>
   <filter-class>com.manage.controller.webSocket.StartFilter</filter-class>
 </filter>
<filter-mapping>
   <filter-name>MyFilter</filter-name>
   <url-pattern>/myHandler</url-pattern>
 </filter-mapping>-->
  <!-- 启动spring的容器 -->
  <context-param>
    <param-name>contextConfigLocation</param-name>
    <param-value>classpath:config/applicationContext.xml
    </param-value>
  </context-param>

  <!-- 启动listener-->
  <listener>
    <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
  </listener>
  <!--<filter>
    <filter-name>startFilter</filter-name>
    <filter-class>com.manage.controller.webSocket.StartFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>startFilter</filter-name>
    <url-pattern>/</url-pattern>
  </filter-mapping>-->
  <!-- springMVC的前端控制器，拦截所有的请求 -->
  <servlet>
    <servlet-name>dispatcherServlet</servlet-name>
    <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
    <load-on-startup>1</load-on-startup>
    <async-supported>true</async-supported>
  </servlet>
  <servlet-mapping>
    <servlet-name>dispatcherServlet</servlet-name>
    <url-pattern>/</url-pattern>
  </servlet-mapping>

  <!-- cxf服务启动servlet -->
  <servlet>
    <servlet-name>CXFServlet</servlet-name>
    <servlet-class>org.apache.cxf.transport.servlet.CXFServlet</servlet-class>
    <load-on-startup>2</load-on-startup>
  </servlet>
  <servlet-mapping>
    <servlet-name>CXFServlet</servlet-name>
    <url-pattern>/WebService/*</url-pattern>
  </servlet-mapping>
  <error-page>
    <exception-type>com.manage.controller.PermissionsException</exception-type>
    <location>/WEB-INF/views/refuse.jsp</location>
  </error-page>
  <filter>
    <filter-name>startFilter</filter-name>
    <filter-class>com.manage.service.webSocket.StartFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>startFilter</filter-name>
    <url-pattern>/</url-pattern>
  </filter-mapping>
</web-app>